# Chi tiết tên miền

`GET /v1/domain/@id` · quyền `domains:read`

Thông tin tên miền: hạn dùng, nameserver, tự gia hạn, khoá, các liên hệ.

## HTTP request

| Mục | Giá trị |
| --- | --- |
| URL | `https://api.tino.vn/v1/domain/@id` |
| Method | `GET` |
| Quyền (scope) | `domains:read` |
| Header | `Authorization: Bearer <token>` |
| Content-Type | — (không có body) |
| Token gọi được | token ứng dụng (`tinoat_`), token API cá nhân (`tinopat_`) |

## Tham số

| Tên | Vị trí | Kiểu | Bắt buộc | Mô tả |
| --- | --- | --- | --- | --- |
| `id` | đường dẫn | integer | có | ID tên miền |

## Example request

```bash
curl "https://api.tino.vn/v1/domain/200001" \
  -H "Authorization: Bearer $TINO_TOKEN"
```

`$TINO_TOKEN` là token có quyền `domains:read`. Tham số đường dẫn trong ví dụ là giá trị mẫu.

SDK ([SDK & Ví dụ](/docs/sdk)): Python `client.domains.get(id)`, Node.js `await client.domains.get(id);`, PHP `$client->domains->get($id);`.

## Example response

```json
{
 "success": true,
 "details": {
  "id": "200001",
  "name": "example.com",
  "reg_module": "172",
  "date_created": "2025-12-07",
  "firstpayment": "50000.00",
  "recurring_amount": "585366.00",
  "period": "1",
  "expires": "2026-12-07",
  "status": "Active",
  "next_due": "2026-12-07",
  "next_invoice": "2026-11-22",
  "idprotection": "1",
  "nameservers": [
   "ns1.tino.vn",
   "ns2.tino.vn"
  ],
  "autorenew": "1",
  "reglock": "0",
  "daytoexpire": "127",
  "contacts": {
   "registrant": {
    "registrant": "1",
    "type": "ind",
    "name": "Nguyen Van A",
    "nationalid": "000000000000",
    "phonenumber": "+84.900000000",
    "email": "user@example.com",
    "gender": "Male",
    "birthday": "01/01/1990",
    "country": "VN",
    "state": "Thành phố Hồ Chí Minh",
    "city": "Phường Bến Thành",
    "ward": null,
    "address1": "123 Example Street",
    "address2": "<redacted>",
    "postcode": "700000"
   },
   "admin": {
    "registrant": "0",
    "type": "ind",
    "name": "Nguyen Van A",
    "nationalid": "000000000000",
  … 83 more line(s)
```

Mẫu thật từ tài khoản thử, đã che dữ liệu cá nhân; mảng và chuỗi dài được rút gọn (`… N more item(s)`, `… N more line(s)`).
